import request from '@/utils/request'

export function getMaterialCategoryList(params) {
  return request({
    url: '/materialCategory/list',
    method: 'get',
    params
  })
}

export function getConditions() {
  return request({
    url: '/materialCategory/getConditions',
    method: 'get'
  })
}

// /materialBaseInfo/getConditions
export function getMaterialSearch() {
  return request({
    url: '/materialBaseInfo/getConditions',
    method: 'get'
  })
}
// /materialBaseInfo/list
export function getMaterialBaseInfoList(params) {
  return request({
    url: '/materialBaseInfo/list',
    method: 'get',
    params
  })
}
// /materialBaseInfo/detail
export function getMaterialBaseInfoDetail(params) {
  return request({
    url: '/materialBaseInfo/detail',
    method: 'get',
    params
  })
}

// /materialBaseInfo/edit
export function materialBaseInfoEdit(data) {
  return request({
    url: '/materialBaseInfo/edit',
    method: 'put',
    data
  })
}
